#include "CObjectContainer.h"
#include "container.h"

CObjectContainer::CObjectContainer(container * cont,Layer *layer,int x,int y,int w,int h,int flags,int contflags,int transp):CObjectBase(cont,layer,x,y,w,h,flags,contflags,transp)
{
	// etat pour etre coherent avec les autres objets ?
	0;
}

CObjectContainer::~CObjectContainer()
{
	0;
}

int CObjectContainer::IsMouseOnObject(int x,int y, int p_tab)
{
	return 0;
}



int CObjectContainer::CursorMove(int x,int y,int keyFlags, int p_tab,int redrawobject)
{
	return 0;
}

int CObjectContainer::CursorMoveIn(int x,int y,int keyFlags, int p_tab,int redrawobject)
{
	return 0;
}

int CObjectContainer::CursorMoveInWithBtnPushed(int x,int y,int keyFlags, int p_tab,int redrawobject)
{
	return 0;
}

int CObjectContainer::CursorMoveOut(int x,int y,int keyFlags, int p_tab,int redrawobject)
{
	return 0;
}

int CObjectContainer::CursorMoveOutWithBtnPushed(int x,int y,int keyFlags, int p_tab,int redrawobject)
{
	return 0;
}

int CObjectContainer::CursorMoveOutsideWithBtnPushed(int x,int y,int keyFlags, int p_tab,int redrawobject)
{
	return 0;
}


int CObjectContainer::ClickIn(int x,int y,int btn,int keyFlags, int p_tab,int redrawobject)
{
	return 0;
}

int CObjectContainer::UnClickIn(int x,int y,int btn,int keyFlags, int p_tab,int redrawobject)
{
	return 0;
}
	
int CObjectContainer::ClickOut(int x,int y,int btn,int keyFlags, int p_tab,int redrawobject)
{
	return 0;
}

int CObjectContainer::UnClickOut(int x,int y,int btn,int keyFlags, int p_tab,int redrawobject)
{
	return 0;
}

int CObjectContainer::DblClickIn(int x,int y,int btn,int keyFlags, int p_tab,int redrawobject)
{
	return 0;
}

int CObjectContainer::MouseWheel(int delta,int x,int y,int keyFlags,int p_tab,int redrawobject)
{
	return 0;
}


int CObjectContainer::KeyUp(UINT vk,int cRepeat, UINT flags, int p_tab)
{
	return 0;
}

int CObjectContainer::KeyDown(UINT vk,int keysys,int cRepeat, UINT flags, int p_tab)
{
	return 0;
}

int CObjectContainer::SetFocus(int reset,int p_tab,int redraw)
{
	return 0;
}

int CObjectContainer::KillFocus(int p_tab,int redraw)
{
	return 0;
}

int CObjectContainer::Timer( int timerID )
{
	return 0;
}

Layer *CObjectContainer::GetLayer(mmachine m,int p_tab)
{
	return NULL;
}

Layer *CObjectContainer::GetLayerPart(mmachine m,Rect2D *area2redraw,int p_tab)
{
	return NULL;
}

int CObjectContainer::DestroyAllLayers()
{
	return 0;
}

int CObjectContainer::ResizeLayer(int w,int h,int p_tab)
{
	return 0;
}


